SETUP-ERROR: Upgrade to Version 2019.11.29 does not work with .NET Framework 4.8.03752 installed

RaiDrive setup aborts upgrade to latest version 2019.11.29 with the following message: RaiDrive cannot be installed on systems with .NET Framework version lower than 4.6.2.

We have tested this on multiple Windows 10 1903 systems. .NET Framework 4.8.03752 is already installed on those systems.

Here are the related log entries from the setup log file:

===================================================
MSI © (8C:F4) [11:48:28:180]: Doing action: LaunchConditions
Action 11:48:28: LaunchConditions. Evaluating launch conditions
Action start 11:48:28: LaunchConditions.
RaiDrive cannot be installed on systems with .NET Framework version lower than 4.6.2.
MSI © (8C:F4) [12:05:33:311]: Product: RaiDrive – RaiDrive cannot be installed on systems with .NET Framework version lower than 4.6.2.

Action ended 12:05:33: LaunchConditions. Return value 3.
MSI © (8C:F4) [12:05:33:311]: Doing action: FatalError
Action 12:05:33: FatalError.
Action start 12:05:33: FatalError.
Action ended 12:05:34: FatalError. Return value 1.
MSI © (8C:F4) [12:05:34:691]: Doing action: AI_SHOW_LOG
Action 12:05:34: AI_SHOW_LOG.
Action start 12:05:34: AI_SHOW_LOG.
MSI © (8C:00) [12:05:34:696]: Invoking remote custom action. DLL: C:\Users\Admin\AppData\Local\Temp\MSIF75.tmp, Entrypoint: LaunchLogFile
Action ended 12:05:34: AI_SHOW_LOG. Return value 1.
MSI © (8C:F4) [12:05:34:871]: Doing action: FatalError
Action 12:05:34: FatalError.
Action start 12:05:34: FatalError.
Action ended 12:05:34: FatalError. Return value 1.
MSI © (8C:F4) [12:05:34:871]: Doing action: AI_CleanPrereq
Action 12:05:34: AI_CleanPrereq.
Action start 12:05:34: AI_CleanPrereq.
MSI © (8C:68) [12:05:34:871]: Invoking remote custom action. DLL: C:\Users\Admin\AppData\Local\Temp\MSI1022.tmp, Entrypoint: CleanPrereq
Action ended 12:05:34: AI_CleanPrereq. Return value 1.
MSI © (8C:F4) [12:05:34:881]: Doing action: FatalError
Action 12:05:34: FatalError.
Action start 12:05:34: FatalError.
Action ended 12:05:34: FatalError. Return value 2.
MSI © (8C:F4) [12:05:34:886]: Note: 1: 2205 2: 3: Environment
MSI © (8C:F4) [12:05:34:886]: Note: 1: 2228 2: 3: Environment 4: SELECT Environment,Component_ FROM Environment
MSI © (8C:D0) [12:05:34:886]: Destroying RemoteAPI object.
MSI © (8C:E0) [12:05:34:886]: Custom Action Manager thread ending.
=== Verbose logging stopped: 29.11.2019 12:05:34 ===

Também estou com o mesmo problema. Alguém pode nos ajudar com este erro.

Hi~ @WAMozart,

We are really sorry for a packaging mistake which force to check whether .NET Framework 4.6.2. :cold_face:
After .NET Framework 4.6.2 is installed, version 2019.11.29 will be installed.

Many many thanks for your issue report.
We will publish the urgent patch version ASAP.

Hi @RaiDrive,
thanks for the reply. Unfortunately the .NET Framework does not allow downgrading to 4.6.2 once a higher version is installed on the system.

Can you give us an estimate on when the new version will be available?

Thanks!

@johannes.pilz, @WAMozart, You’re right.
Our guide to recommend .NET Framework 4.6.2 install was improper.
We will release the new patch version ASAP.